MONGOC_CLIENT_SESSION_ABORT_TRANSACTION(3)

NAME
mongoc_client_session_abort_transaction - mongoc_client_session_abort_transaction()

SYNOPSIS

        bool
        mongoc_client_session_abort_transaction (mongoc_client_session_t *session,
                                                 bson_error_t *error);

Abort a multi-document transaction.

PARAMETERS

    •   session: A mongoc_client_session_t.

    •   error: An optional location for a bson_error_t or NULL.

RETURN

Returns true if the transaction was aborted. Returns false and sets error if there are invalid arguments, such as a session with no transaction in progress. Network or server errors are ignored.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc